#include <stdio.h>
#include <stdlib.h>

// SLOVA

char B[26] = {'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'};

void funkcija(char *C,long N, long i, long j)
{
    for (j = j; j < N; j++)
    {
        if (i == 25)
    {
        printf("1");
        exit(0);
    }
        if (*(C + j) == B[i]) funkcija(C,N,i+1,j+1);
        else funkcija(C,N,i,j+1);
    }
}

int main()
{
    long N;
    scanf("%ld",&N);
    char *C;
    C = malloc(N * sizeof(char));
    for (long i = 0; i < N; i++)
    {
        scanf(" %c",C + i);
    }
    if (N <= 26) printf("0"); // ceo alfabet ima 26 slova, ako ima manje ili jednako nema sta da se obrise
    else if (N == 27) funkcija(C,N,0,0);
}